<?php
/**
 * Common Functions Library
 * @package Alaya_framework
 * @since 1.0
 */
 
function my_customize_register( $wp_customize )
	{
		//=====================Fonts======================================
		$wp_customize->add_section( 'fonts_setting' , array('title' => __( 'Fonts Setting', 'miao' ),
													 'priority' => 25) );
																
		include_once 'fonts.php';														
	
		$wp_customize->add_setting( 'main_heading_font', array(	'default' => 'Sorts Mill Goudy',
																'transport' => 'refresh',
																'sanitize_callback' => 'esc_attr') );
																		
		$wp_customize->add_control( 'control_main_heading_font', array(	'label' => 'Heading Font',
																		'section' => 'fonts_setting',
																		'settings' => 'main_heading_font',
																		'type' => 'select',
																		'choices' => $all_fonts ) );
		
		
		$wp_customize->add_setting( 'menu_font', array(	'default' => 'Sorts Mill Goudy',
														'transport' => 'refresh',
														'sanitize_callback' => 'esc_attr') );
														
		$wp_customize->add_control( 'control_menu_font', array(	'label' => 'Menu Font',
																		'section' => 'fonts_setting',
																		'settings' => 'menu_font',
																		'type' => 'select',
																		'choices' => $all_fonts ) );
																		
	    $wp_customize->add_setting( 'content_font', array(	'default' => 'Roboto Slab',
															'transport' => 'refresh',
															'sanitize_callback' => 'esc_attr') );
															
		$wp_customize->add_control( 'control_content_font', array(	'label' => 'Content Font',
																		'section' => 'fonts_setting',
																		'settings' => 'content_font',
																		'type' => 'select',
																		'choices' => $all_fonts ) );

	
	    //=====================Color======================================
		$wp_customize->add_section( 'color_setting' , array('title' => __( 'Color Setting', 'miao' ),
													 'priority' => 25) );
													 
		$wp_customize->add_setting( 'global_color', array(	'default' => '#AD794E',
															'transport' => 'refresh',
															'sanitize_callback' => 'esc_attr') );
																		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'control_nav_bar_color', array(  'label' => __( 'Global Color', 'miao' ),												 'section' => 'color_setting',
				                 'settings' => 'global_color' ) ) );			
	
		$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
		$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
		$wp_customize->get_setting( 'main_heading_font' )->transport = 'postMessage';
		$wp_customize->get_setting( 'menu_font' )->transport = 'postMessage';
		$wp_customize->get_setting( 'content_font' )->transport = 'postMessage';
		$wp_customize->get_setting( 'global_color' )->transport = 'postMessage';
	}
	// end my_customize_register
	
	add_action( 'customize_register', 'my_customize_register' );

	
	function my_customize_css()
	{ 
		?>
<?php if(get_theme_mod( 'main_heading_font', 'Sorts Mill Goudy' )<>'Sorts Mill Goudy'):?>
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=<?php echo get_theme_mod( 'main_heading_font', 'Sorts Mill Goudy' );?>&amp;subset=latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic">
<?php endif;?>

<?php if(get_theme_mod( 'menu_font', 'Sorts Mill Goudy' )<>'Sorts Mill Goudy'):?>
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=<?php echo get_theme_mod( 'menu_font', 'Sorts Mill Goudy' );?>&amp;subset=latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic">
<?php endif;?>

<?php if(get_theme_mod( 'content_font', 'Roboto Slab' )<>'Roboto Slab'):?>
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=<?php echo get_theme_mod( 'content_font', 'Roboto Slab' );?>&amp;subset=latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic">
<?php endif;?>

<?php if(get_theme_mod( 'main_heading_font', 'Sorts Mill Goudy' )<>'Sorts Mill Goudy' || get_theme_mod( 'menu_font', 'Sorts Mill Goudy')<> 'Sorts Mill Goudy' || get_theme_mod( 'content_font', 'Open Sans' )<>'Open Sans' || get_theme_mod( 'global_color', '#ad794e' )<>'#ad794e'):?>
<style type="text/css">
<?php if(get_theme_mod( 'global_color', '#ad794e' )<>'#ad794e'):?>
a:active,
a:hover,
#primary_menu ul li.current a,
#primary_menu ul li a:hover,
#breadcrumbs .goback:hover,
.channel .channel_title a,
.post .entry-title a:hover,
.post .entry-tools a:hover,
.post_list li a.post_title:hover,
#popup_window h3 a,
.entry-content a,
.comment-author a:hover,  
.comment-list .pingback a:hover,  
.comment-list .trackback a:hover,  
.comment-metadata a:hover,
.star-rating,
.woocommerce ul.products li.product .price,
.woocommerce div.product p.price, 
.woocommerce div.product span.price,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active, 
.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active{
	color:<?php echo get_theme_mod( 'global_color', '#ad794e' );?>;
}
.channel .channel_title a,
.tagcloud a:hover,
#popup_window .language_list li a:hover,
#popup_window .dashboard_items li a:hover,
.alaya_pagenavi span,
.alaya_pagenavi a.page:hover,
.contact-form input[type="submit"],
#topbar #tools a:hover,
.button.button-primary,
button.button-primary,
input[type="submit"].button-primary,
input[type="reset"].button-primary,
input[type="button"].button-primary{
    border-color:<?php echo get_theme_mod( 'global_color', '#ad794e' );?>;
}
.post_slider.flexslider .flex-control-paging li a.flex-active,
.alaya_pagenavi span,
.alaya_pagenavi a.page:hover,
#respond input[type="submit"],
.contact-form input[type="submit"],
#topbar #tools a:hover,
.button.button-primary,
button.button-primary,
input[type="submit"].button-primary,
input[type="reset"].button-primary,
input[type="button"].button-primary,
.woocommerce a.button, 
.woocommerce button.button, 
.woocommerce input.button, 
.woocommerce #respond input#submit, 
.woocommerce #content input.button, 
.woocommerce #respond input#submit.alt, 
.woocommerce a.button.alt, 
.woocommerce button.button.alt, 
.woocommerce input.button.alt,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range{
	background-color:<?php echo get_theme_mod( 'global_color', '#ad794e' );?>;
}
<?php endif;?>

<?php if(get_theme_mod( 'main_heading_font', 'Sorts Mill Goudy' )<>'Sorts Mill Goudy'):?>
h1,h2,h3,h4,h5,h6,
#single_header .header_title .page_title,
#single_header .tagline span,
.post_list li a.post_title{font-family:<?php echo get_theme_mod( 'main_heading_font', 'Sorts Mill Goudy' );?>,Arial, Helvetica, sans-serif;}
<?php endif;?>

<?php if(get_theme_mod( 'menu_font', 'Sorts Mill Goudy' )<>'Sorts Mill Goudy'):?>
#primary_menu ul li a,
.pushy a{font-family:<?php echo get_theme_mod( 'menu_font', 'Sorts Mill Goudy' );?>,Arial, Helvetica, sans-serif;}
<?php endif;?>

<?php if(get_theme_mod( 'content_font', 'Roboto Slab' )<>'Roboto Slab'):?>
body,p{font-family:<?php echo get_theme_mod( 'content_font', 'Roboto Slab');?>,Arial, Helvetica, sans-serif;}
<?php endif;?>
</style>
<?php endif;?>

		<?php
	}
	// end my_customize_css
	
	add_action( 'wp_head', 'my_customize_css' );
	
	
	function my_customize_preview_js()
	{
		wp_enqueue_script( 'my-customizer', get_template_directory_uri() . '/inc/customizer/wp-theme-customizer.js', array( 'customize-preview' ), rand(), true );
	}
	
	add_action( 'customize_preview_init', 'my_customize_preview_js' );
?>