<?php
/** 
 * Theme Initialize
 * @package Alaya_framwork
 * @subpackage Miao
 * @since 1.0
 */

/*The path of widgets and metabox*/
$widget_path = get_template_directory() . '/inc/widgets/';
$customize_path = get_template_directory() . '/inc/customizer/';
$metabox_path = get_template_directory() . '/inc/metabox/';

/*Load Functions*/
require_once(get_template_directory()."/inc/lib.php");
require_once(get_template_directory()."/inc/theme-func.php");

/*Add customizer*/
require_once($customize_path."customize.php");

/*Add Widgets*/
require_once($widget_path."widgets-func.php");
require_once($widget_path."alaya-flickr-widget.php");
require_once($widget_path."alaya-recent-widget.php");
require_once($widget_path."alaya-recent-comments.php");
require_once($widget_path."alaya-author.php");
require_once($widget_path."alaya-ad.php");

if(function_exists('siteorigin_panels_activate')){
  require_once($widget_path."alaya-blog-widget.php");
  require_once($widget_path."alaya-category-widget.php");
  require_once($widget_path."alaya-scrolling-posts.php");
}

if ( class_exists( 'bbPress')){
  require_once($widget_path."alaya-forums.php");
}

/*Add custom fields for category*/
require_once($metabox_path."category-field.php");

require_once($metabox_path."mega-menu-field.php");

/*Add plugins*/
require_once(get_template_directory()."/inc/plugins/plugins.php"); 

require_once(get_template_directory()."/inc/theme-update-checker.php"); 
$theme_update_checker = new ThemeUpdateChecker(
	'miao',
	'https://www.themevan.com/update-server/?action=get_metadata&slug=miao'
);

/*Include Scripts in backend*/
add_action('admin_enqueue_scripts', 'alaya_backend_script');
function alaya_backend_script(){
	wp_enqueue_script('jquery');
	wp_enqueue_style( 'farbtastic' );
	wp_enqueue_script( 'farbtastic' );
	wp_enqueue_style( "alaya_backend", get_template_directory_uri()."/inc/assets/backend.css", false, "1.0", "all" );
	wp_enqueue_script( "alaya_script", get_template_directory_uri()."/inc/assets/backend_script.js" );
	wp_enqueue_script( 'alaya_script' );
}