<?php
/**
 * Custom category field
 * @package Alaya_framework
 * @subpackage Miao
 * @since 1.0
 */


//add extra fields to category edit form hook
add_action ( 'edit_category_form_fields', 'extra_category_fields');
add_action('category_add_form_fields','extra_category_fields');


//add extra fields to category edit form callback function

function extra_category_fields( $tag ) {    //check for existing featured ID
    $t_id = $tag->term_id;
    $cat_meta = get_option( "category_$t_id");
?>
	<div class="form-field">
		<tr class="form-field">
		<th scope="row" valign="top"><label for="Cat_meta[template]"><?php _e('Select Template','miao'); ?></label></th>
		<td>
		<select name="Cat_meta[template]" id="Cat_meta[template]">
		  <option value="standard" <?php if($cat_meta['template']=='standard')echo'selected="selected"'; ?>>Standard</option>
		  <option value="standard-sidebar" <?php if($cat_meta['template']=='standard-sidebar')echo'selected="selected"'; ?>>Standard with Sidebar</option>
		  <option value="masonry" <?php if($cat_meta['template']=='masonry')echo'selected="selected"'; ?>>Masonry</option>
		  <option value="masonry-sidebar" <?php if($cat_meta['template']=='masonry-sidebar')echo'selected="selected"'; ?>>Masonry with Sidebar</option>
		</select>
		</td>
		</tr>
	</div>
	
	<?php if(alaya_opt('header_style')=='1'):?>
		<div class="form-field">
			<tr class="form-field">
			<th scope="row" valign="top"><label for="Cat_meta[slider_shortcode]"><?php _e('Slider Shortcode','miao'); ?></label></th>
			<td>
			<input type="text" name="Cat_meta[slider_shortcode]" id="Cat_meta[slider_shortcode]" value="<?php if(isset($cat_meta['slider_shortcode'])){echo sanitize_text_field($cat_meta['slider_shortcode']);}?>" /> <br/><span>You can put the slider shortcode which you generated by revolution slider plugin here.</span>
			</td>
			</tr>
		</div>
	<?php endif;?>
	
	<?php if(alaya_opt('header_style')=='2'):?>
		<div class="form-field">
			<tr class="form-field">
			<th scope="row" valign="top"><label for="Cat_meta[header_image]"><?php _e('Header Image','miao'); ?></label></th>
			<td>
			<input type="text" name="Cat_meta[header_image]" id="Cat_meta[header_image]" value="<?php if(isset($cat_meta['header_image'])){echo esc_url($cat_meta['header_image']);}?>" />
			</td>
			</tr>
		</div>
	<?php endif;?>

<?php
}
?>
<?php
// save extra category extra fields hook
add_action('created_category', 'save_extra_category_fileds');
add_action ( 'edited_category', 'save_extra_category_fileds');
   // save extra category extra fields callback function
function save_extra_category_fileds( $term_id ) {
    if ( isset( $_POST['Cat_meta'] ) ) {
        $t_id = $term_id;
        $cat_meta = get_option( "category_$t_id");
        $cat_keys = array_keys($_POST['Cat_meta']);
            foreach ($cat_keys as $key){
            if (isset($_POST['Cat_meta'][$key])){
               $cat_meta[$key] = $_POST['Cat_meta'][$key];
            }
        }

        //save the option array
        update_option( "category_$t_id", $cat_meta );
    }
}
?>