<?php
/**
 * Add Custom field in page
 * @package Alaya_framework
 * @subpackage Miao
 * @since 1.0
 */

return array(
	'id'          => 'contact_meta',
	'types'       => array('page'),
	'title'       => __('contact Page Settings', 'miao'),
	'priority'    => 'high',
	'template'    => array(
		array(
			'type'      => 'group',
			'repeating' => false,
			'name'      => 'contact_info',
			'title'     => __('Contact Information', 'miao'),
			'fields'    => array(
			    array(
					'type' => 'textbox',
					'name' => 'contact_subheading',
					'label' => __('Subheading', 'miao'),
				),
				array(
					'type' => 'textbox',
					'name' => 'contact_address',
					'label' => __('Contact Address', 'miao'),
				),
				array(
					'type' => 'textbox',
					'name' => 'contact_email',
					'label' => __('Contact Email', 'miao'),
				),
				array(
					'type' => 'textbox',
					'name' => 'contact_phone',
					'label' => __('Contact Phone', 'miao'),
				),
				array(
					'type' => 'textarea',
					'name' => 'contact_map',
					'label' => __('Google Map', 'miao'),
					'description' => __('You can get the google embed code from http://map.google.com or create a styling map on https://mapbuildr.com', 'miao'),
				),
			),
		),
		
		
		array(
			'type'      => 'group',
			'repeating' => false,
			'name'      => 'contact_form',
			'title'     => __('Contact Form Setting', 'miao'),
			'fields'    => array(
				array(
					'type' => 'textbox',
					'name' => 'receive_email',
					'label' => __('Receiver Email Address', 'miao'),
					'description' => __('The default contact form receiver\'s Email', 'miao'),
					'default'=> get_option('admin_email')
				),
				array(
					'type' => 'textbox',
					'name' => 'contact_form_7',
					'label' => __('Contact Form 7 Shortcode', 'miao'),
					'description' => __('You can use contact form 7 plugin to generate a custom form to instead of the default form.', 'miao'),
				),
			),
		),

		
	),
);
?>