<?php
/**
 * Common Functions Library
 * @package Alaya_framework
 * @subpackage Miao
 * @since 1.03
 */

return array(
	'title' => __('Miao Option Panel', 'miao'),
	'logo' => 'http://www.themevan.com/main/wp-content/uploads/2014/04/logo_black.png',
	'menus' => array(
		//General Settings
		array(
			'title' => __('General Settings', 'miao'),
			'name' => 'general_settings_menu',
			'icon' => 'font-awesome:fa-gift',
			'controls' => array(
				array(
					'type' => 'section',
					'title' => __('Site Information', 'miao'),
					'fields' => array(
					    array(
							'type' => 'upload',
							'name' => 'custom_logo',
							'label' => __('Custom LOGO', 'miao'),
							'description' => __('The standard size is 150x150px', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'upload',
							'name' => 'retina_logo',
							'label' => __('Retina LOGO', 'miao'),
							'description' => __('The size of retina LOGO is 300x300px', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'upload',
							'name' => 'favicon_logo',
							'label' => __('Favicon', 'miao'),
							'description' => __('The recommended size is 32x32px', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'copyright',
							'label' => __('Copyright text', 'miao'),
							'description' => __('It will display in the footer area', 'miao'),
							'default' => '',
						),
				      ),
			       ),  
			      
			     array(
					'type' => 'section',
					'title' => __('Site Initialization', 'miao'),
					'fields' => array(
						
						array(
							'type' => 'radioimage',
							'name' => 'default_home_template',
							'item_max_height' => '150',
		                    'item_max_width' => '150',
							'label' => __('Default Homepage Template', 'miao'),
							'description' => __('Just select a template for the default home page.', 'miao'),
							'items' => array(
						            array(
						                'value' => 'standard',
						                'label' => __('Standard', 'miao'),
						                'img' => get_template_directory_uri().'/inc/assets/images/standard.jpg',
						            ),
						            array(
						                'value' => 'standard-sidebar',
						                'label' => __('Standard with Sidebar', 'miao'),
						                'img' => get_template_directory_uri().'/inc/assets/images/standard-sidebar.jpg',

						            ),
						            array(
						                'value' => 'masonry',
						                'label' => __('Masonry', 'miao'),
						                'img' => get_template_directory_uri().'/inc/assets/images/masonry.jpg',

						            ),
						            array(
						                'value' => 'masonry-sidebar',
						                'label' => __('Masonry with Sidebar', 'miao'),
						                'img' => get_template_directory_uri().'/inc/assets/images/masonry-sidebar.jpg',

						            ),
						        ),
					        'default' => array(
					                     'standard',
					                     ),
						 ),
						
						array(
							'type' => 'textbox',
							'name' => 'slider_shortcode',
							'label' => __('Homepage Slider Shortcode', 'miao'),
							'description' => __('You can add the revolution slider shortcode here for the default homepage.', 'miao'),
					        'default' => ''
						),

						
						array(
							'type' => 'toggle',
							'name' => 'search',
							'label' => __('Remove Search Icon', 'miao'),
							'description' => __('Don\'t display the search icon on the top bar', 'miao'),
					        'default' => '0'
						),
						
						array(
							'type' => 'toggle',
							'name' => 'mega_menu',
							'label' => __('Mega Menu', 'miao'),
							'description' => __('Display 3 recent posts in the category submenu.', 'miao'),
					        'default' => '1'
						),
						
						array(
							'type' => 'toggle',
							'name' => 'login',
							'label' => __('Enable Login Form', 'miao'),
							'description' => __('Please note, if you activated woocommerce, buddypress or bbpress, the login form will force enabled.', 'miao'),
					        'default' => '0'
						),
												
				     ),
				  ),
   				
			),
		),
		//End General Settings
		
		//Blog Setting
		array(
			'title' => __('Blog Setting', 'miao'),
			'name' => 'blog_setting_menu',
			'icon' => 'font-awesome:fa-gift',
			'controls' => array(

				array(
					'type' => 'section',
					'title' => __('Manage Blog Features', 'miao'),
					'fields' => array(    
						array(
							'type' => 'checkbox',
							'name' => 'post_meta',
							'label' => __('Post Meta Information', 'miao'),
							'description' => __('You can remove or display the post meta item.', 'miao'),
							'validation' => 'minselected[0]|maxselected[4]',
					        'items' => array(
					            array(
					                'value' => 'author',
					                'label' => __('Author', 'miao'),
					            ),
					            array(
					                'value' => 'date',
					                'label' => __('Date', 'miao'),
					            ),
					            array(
					                'value' => 'category',
					                'label' => __('Category', 'miao'),
					            ),
					            array(
					                'value' => 'comment',
					                'label' => __('Comment', 'miao'),
					            ),
					        ),
					        'default' => array(
					            'author','date','category'
					        ),
						),
						
						array(
							'type' => 'toggle',
							'name' => 'format_icon',
							'label' => __('Post Format Icon', 'miao'),
					        'default' => '1'
						),
						
						array(
							'type' => 'toggle',
							'name' => 'post_thumbnail',
							'label' => __('Enable The Thumbnail For All Single Posts', 'miao'),
					        'default' => '0'
						),
						
						array(
							'type' => 'toggle',
							'name' => 'related_posts',
							'label' => __('Related Posts', 'miao'),
							'description' => __('The related posts are depending on the common tags.', 'miao'),
					        'default' => '1'
						),
						
						array(
							'type' => 'toggle',
							'name' => 'post_share',
							'label' => __('Post Share Icons', 'miao'),
					        'default' => '1'
						),
						
						array(
							'type' => 'toggle',
							'name' => 'post_author',
							'label' => __('The Author Information in the Post', 'miao'),
					        'default' => '1'
						),
						
				      ),
			       ),  
   				//End Blog Setting		
   				),
		),
		//End Blog Setting
		
		//Global Style
		array(
			'title' => __('Customize Style', 'miao'),
			'name' => 'custom_style_menu',
			'icon' => 'font-awesome:fa-gift',
			'controls' => array(

				array(
					'type' => 'section',
					'title' => __('Global Style', 'miao'),
					'fields' => array(    
						
						array(
							'type' => 'radioimage',
							'name' => 'header_style',
							'item_max_height' => '150',
		                    'item_max_width' => '150',
							'label' => __('Header Style', 'miao'),
							'description' => __('Just select a header style for the home page.', 'miao'),
							'items' => array(
						            array(
						                'value' => '1',
						                'label' => __('Header 1', 'miao'),
						                'img' => get_template_directory_uri().'/inc/assets/images/header1.jpg',
						            ),
						            array(
						                'value' => '2',
						                'label' => __('Header 2', 'miao'),
						                'img' => get_template_directory_uri().'/inc/assets/images/header2.jpg',

						            ),
						        ),
					        'default' => array(
					                     '1',
					                     ),
						 ),
						 
						 array(
							'type' => 'toggle',
							'name' => 'center_logo',
							'label' => __('Center the LOGO', 'miao'),
							'description' => __('Center the LOGO in middle of the primary menu.', 'miao'),
					        'default' => '0'
						),
						
						array(
							'type' => 'slider',
							'name' => 'adjust_logo',
							'label' => __('Adjust LOGO position', 'miao'),
							'description' => __('You can try fine-tuning the LOGO position to left or right when you centered the LOGO. Please the unit is "rem".', 'miao'),
							'min' => '-300',
					        'max' => '300',
					        'step' => '1',
					        'default' => '0',
					     
						),
						
						array(
							'type' => 'toggle',
							'name' => 'inverse_header',
							'label' => __('Inverse the Background Color of Header', 'miao'),
							'description' => __('You can switch the Header Color between white and black.', 'miao'),
					        'default' => '0'
						),
						 
						 array(
							'type' => 'color',
							'name' => 'custom_background_color',
							'label' => __('Custom Background Color', 'miao'),
							'description' => __('Change the page body color.', 'miao'),
							'default' => '#ffffff',
						),
						
						array(
							'type' => 'upload',
							'name' => 'custom_background_image',
							'label' => __('Custom Background Image', 'miao'),
							'description' => __('The picture size is 1200x800px at least.', 'miao'),
							'default' => '',
						),
						
						 array(
							'type' => 'color',
							'name' => 'default_header_color',
							'label' => __('Background Color of  the Default Header', 'miao'),
							'description' => __('Change the page header color.', 'miao'),
							'default' => '',
						),

						
						array(
							'type' => 'upload',
							'name' => 'default_header_image',
							'label' => __('Header Image of the Default Home Page', 'miao'),
							'description' => __('You can use Master Slider to instead of the default header image in your custom home page. ', 'miao'),
							'default' => '',
						),
						
				      ),
			       ),  
   				//End Global Style		
   				),
		),
		//End Custom Style
		
		//Social Icons
		array(
			'title' => __('Social Media', 'miao'),
			'name' => 'social_media_menu',
			'icon' => 'font-awesome:fa-gift',
			'controls' => array(
				array(
					'type' => 'section',
					'title' => __('Show the social icons at the top right of header', 'miao'),
					'fields' => array(
					    array(
							'type' => 'textbox',
							'name' => 'facebook',
							'label' => __('facebook', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'twitter',
							'label' => __('Twitter', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'googleplus',
							'label' => __('Google Plus', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'tumblr',
							'label' => __('Tumblr', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'flickr',
							'label' => __('Flickr', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'instagram',
							'label' => __('Instagram', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'deviantart',
							'label' => __('Deviantart', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'behance',
							'label' => __('Behance', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'dribbble',
							'label' => __('Dribbble', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'pinterest',
							'label' => __('Pinterest', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'youtube',
							'label' => __('Youtube', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'vimeo',
							'label' => __('Vimeo', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'linkedin',
							'label' => __('LinkedIn', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'github',
							'label' => __('Github', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'xing',
							'label' => __('Xing', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'yelp',
							'label' => __('Yelp', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'vk',
							'label' => __('VK', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'weibo',
							'label' => __('Weibo', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'bloglovin',
							'label' => __('BlogLovin', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textbox',
							'name' => 'rss',
							'label' => __('RSS', 'miao'),
							'default' => '',
						),

				   ),
				),
			),
		),
		//End Social Icons
		
		//Custom Code
		array(
			'title' => __('Custom Codes', 'miao'),
			'name' => 'custom_code_menu',
			'icon' => 'font-awesome:fa-gift',
			'controls' => array(
				array(
					'type' => 'section',
					'title' => __('Custom Code', 'miao'),
					'fields' => array(
					    array(
							'type' => 'codeeditor',
							'name' => 'css_code',
							'mode' => 'css',
							'label' => __('CSS Code', 'miao'),
							'description' => __('The custom CSS code will imported between head tag.', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'codeeditor',
							'name' => 'javascript_code',
							'mode' => 'javascript',
							'label' => __('Javascript Code', 'miao'),
							'description' => __('The javascript code will imported at the last of the web page document.', 'miao'),
							'default' => '',
						),
				   ),
				),
			
			  array(
					'type' => 'section',
					'title' => __('Additional Code', 'miao'),
					'description' => __('You can add some third-party embed codes like Google Analysis code.','miao'),
					'fields' => array(
					    array(
							'type' => 'textarea',
							'name' => 'header_code',
							'label' => __('Header Code', 'miao'),
							'description' => __('It will imported between head tag.', 'miao'),
							'default' => '',
						),
						array(
							'type' => 'textarea',
							'name' => 'footer_code',
							'label' => __('Footer Code', 'miao'),
							'description' => __('It will imported at the last of the web page document.', 'miao'),
							'default' => '',
						),
				   ),
		      ),
		  ),
		),
		//End Custom Code
	)
);