<?php
/** 
 * Theme Functions
 * @package Alaya_framework
 * @subpackage Miao
 * @since 1.0
 */

/** 
 * Display default primary menu
 * @since  1.0
 */

if( !function_exists( 'alaya_default_menu') ){
	function alaya_default_menu() {
		$default_menu='';
		$pages = get_pages('number=6');
		$count = count($pages);
		for($i = 0; $i < $count; $i++)
		{
			$default_menu.= '<li><a href="' . get_home_url() . '/' . $pages[$i]->post_name . '">' . $pages[$i]->post_title . '</a></li>' . PHP_EOL;
		}
		$return_html = apply_filters('alaya_default_menu', $default_menu);
	    echo $return_html;
	}
}

/**
 * Post meta info
 * @since 1.0
 */
if( !function_exists( 'alaya_posted_on') ){
  function alaya_posted_on($ex_class){

	  $return_html='';
	  if($ex_class==''){
	    $ex_class=' post_meta';
	  }
	  
	  $return_html='<div class="entry-meta'.esc_attr($ex_class).'">';
	  
	  $post_meta=alaya_opt('post_meta');
	  
	  for($i=0;$i<count($post_meta);$i++){
		  if($post_meta[$i]=='author'){
		      $return_html.='<span class="author"><i class="fa fa-user"></i><a href="'. get_author_posts_url( get_the_author_meta( 'ID' ) ).'" class="author">'.get_the_author().'</a></span>';
		  }
		  if($post_meta[$i]=='date'){
		      $return_html.='<span class="date"><i class="fa fa-clock-o"></i>'.get_the_time(get_option('date_format')).'</span>';
		  }
		  if($post_meta[$i]=='category'){
			  $return_html.='<span class="category"><i class="fa fa-folder-o"></i>'.__('in','miao').' '.get_the_category_list( ', ' ).'</span>'; 
		  }
		  if($post_meta[$i]=='comment'){
		      $return_html.='<span class="comment"><i class="fa fa-comment-o"></i>'.alaya_comments_popup_link( '0', '1', '%' ).'</span>';
		  }  
	  }
	  
	  $return_html.="</div>";
	  $return_html = apply_filters('alaya_posted_on', $return_html);
	  return $return_html;
  }
}

/*Format icons*/
if( !function_exists( 'alaya_format_icon') ){
  function alaya_format_icon(){
	   if(has_post_format( 'audio' )){
		 $format_icon='<i class="fa fa-music"></i>';
	   }elseif(has_post_format( 'video' )){
		 $format_icon='<i class="fa fa-video-camera"></i>';
	   }elseif(has_post_format( 'gallery' )){
		 $format_icon='<i class="fa fa-photo"></i>';
	   }elseif(has_post_format( 'quote' )){
	     $format_icon='<i class="fa fa-quote-right"></i>';
	   }elseif(has_post_format( 'chat' )){
	     $format_icon='<i class="fa fa-comments-o"></i>';
	   }else{
		 $format_icon='<i class="fa fa-pencil"></i>';
	   }
	   $format_icon = apply_filters('alaya_format_icon', $format_icon);
	   return $format_icon;
  }
}

/*Post format media*/
if( !function_exists( 'alaya_format_media') ){
  function alaya_format_media($thumbnail='yes',$title="yes"){
    $post_media=vp_metabox('post_format_meta.embed_code');
	$return_html='';
	
	if(has_post_format( 'video' ) && $post_media<>''){
        $return_html.='<div class="thumbnail">'.$post_media.'</div>';
        if(alaya_opt('format_icon')==0){
          $return_html.='<div class="post_format_icon">'.alaya_format_icon().'</div>';
        }
    }elseif(has_post_format( 'audio' ) && $post_media<>''){
        $return_html.='<div class="thumbnail">'.$post_media.'</div>';
        if(alaya_opt('format_icon')==0){
          $return_html.='<div class="post_format_icon">'.alaya_format_icon().'</div>';
        }
    }elseif(has_post_format( 'gallery' )){
              if ( $images = get_children(array(
              'post_parent' => get_the_ID(),
              'post_type' => 'attachment',
              'numberposts' => 50,
              'order' => 'ASC',
              'orderby' => 'menu_order',
              'post_mime_type' => 'image',)))
              {
                  $slider_id=get_the_ID().'-'.alaya_random_string(6,false);
				  $return_html.='<div id="slider-'.$slider_id.'" class="flexslider post_slider no_height"><div id="loader-'.$slider_id.'" class="alaya_loader"><i class="fa fa-spinner fa-spin"></i></div><ul class="slides">';
              
                   foreach( $images as $image ) {
                      $attachmenturl=wp_get_attachment_url($image->ID);
                      $attachmentimage=wp_get_attachment_image($image->ID, 'large' );
                      $return_html.= '<li><a href="'.$attachmenturl.'" class="lightbox">'.$attachmentimage.'</a></li>';
                   }
                
                  $return_html.='</ul></div>';
                  $return_html.='<div class="post_format_icon">'.alaya_format_icon().'</div>';				  $return_html.='<script type="text/javascript">
				    jQuery(document).ready(function($){
				                $(window).load(function(){
									$("#slider-'.$slider_id.'").flexslider({
									   slideshow:true,
									   video: true,
									   keyboard: true,
									   animation: "slide",
									   controlNav:true,
									   smoothHeight:false,
									   multipleKeyboard: true,
									   prevText:"",
									   nextText:"",
									   start: function(slider) {
										    $.flexloader(slider);
										    $("#slider-'.$slider_id.'").removeClass("no_height");

									   },
									   after: function(slider) {
										    $.flexloader(slider);
									   }
								    });
									$("#loader-'.$slider_id.'").fadeOut();
								});
					});
						        </script>';
			  }
    }else{
	  if(has_post_thumbnail() && $thumbnail=='yes'){
         $return_html.='<div class="thumbnail"><a class="overlay" title="'.get_the_title().'" href="'.get_permalink().'">'.alaya_format_icon().'</a>'.get_the_post_thumbnail(get_the_ID(),'large',array('class'=>'featured_image','alt'=>get_the_title())).'</div>';
      }else{
	      if($title<>'no' && alaya_opt('format_icon')==0){
		      $return_html.='<div class="post_format_icon">'.alaya_format_icon().'</div>';
	      }
      }
    }
	
	$return_html = apply_filters('alaya_format_media', $return_html);
	return $return_html;
  }
}

/*Mega Menu Walker*/
class alaya_mega_menu extends Walker_Nav_Menu {
		
    function start_lvl(&$output, $depth = 0, $args = array()) {
        $indent = str_repeat("\t", $depth);
        $output .= "\n$indent<ul class=\"sub-menu\">\n";
    }
	
    function end_lvl(&$output, $depth = 0, $args = array()) {
        $indent = str_repeat("\t", $depth);
        $output .= "$indent</ul>\n";
    }
	
    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		
        global $ti_option;
        $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		$class_names = $value = '';
		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="' . esc_attr( $class_names ) . '"';
        $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';
		
        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
        $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
		
        $item_output = $args->before;
        $item_output .= '<a'. $attributes .'>';
        $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
		$item_output .= '</a>';
		
		if ( alaya_opt('mega_menu') == 1 ) {
			if ( $depth == 0 && 'category' == $item->object ){
				$item_output  .= '<div class="sub-menu mega-menu '.$item->custom.'">';
			}
		}
				
        $item_output .= $args->after;
		
		
		/* Add Mega menu only for: 
		 * Parent category if the option is enabled in Theme Options
		 */
		if ( alaya_opt('mega_menu') == 1 ) {

			if ( $depth == 0 && $item->object == 'category' ) {
				
				$item_output .= '<ul class="mega-menu-posts">';
								
					global $post;
					$menuposts = get_posts( array( 'posts_per_page' => 3, 'category' => $item->object_id ) );
					
					foreach( $menuposts as $post ):
					
						$post_title = get_the_title();
						$post_link = get_permalink();
						$post_image = wp_get_attachment_image_src( get_post_thumbnail_id(), "medium" );
						
						if ( $post_image != ''){
							$menu_post_image = '<img src="' . $post_image[0]. '" alt="' . $post_title . '" width="' . $post_image[1]. '" height="' . $post_image[2]. '" />';
						} else {
							$menu_post_image = __( 'No image','miao');
						}
						
						$item_output .= '
								<li>
									<div class="thumbnail">
										<a href="'  .$post_link . '">' . $menu_post_image . '</a>
									</div>
									<h6><a href="' . $post_link . '">' . $post_title . '</a></h6>
								</li>';
						
					endforeach;

					wp_reset_postdata();
					
				$item_output .= '</ul>';
				
			}

		}
		
        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
    }
	
	
    function end_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		
		global $ti_option;
		if ( alaya_opt('mega_menu') == 1) {	
			if ( $depth == 0 && 'category' == $item->object ){
				$output .= "</div>\n";
			}
		}
		
		$output .= "</li>\n";
    }
	
}

add_filter('nav_menu_item_id', 'alaya_css_attributes_filter', 100, 1);
function alaya_css_attributes_filter($var) {
  return is_array($var) ? array() : '';
}

/*Remove the widgets from page builder*/
function alaya_remove_panels_widgets( $widgets ){
	unset($widgets['alaya_flickr']);
	return $widgets;
}
add_filter( 'siteorigin_panels_widgets', 'alaya_remove_panels_widgets', 11);


/*Ajaxify Comments*/
function ajaxify_comments_list($comment_ID, $comment_status) {
	global $post;
    if (!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
        //If AJAX Request Then
        switch ($comment_status) {
            case '0':
                //notify moderator of unapproved comment
                wp_notify_moderator($comment_ID);
            case '1': //Approved comment
                echo "success";
                $commentdata = get_comment($comment_ID, ARRAY_A);
				//print_r( $commentdata);
              $permaurl = get_permalink( $post->ID );
              $url = str_replace('http://', '/', $permaurl);
			  
			  if($commentdata['comment_parent'] == 0){
				$output = '<li class="comment byuser comment-author-admin bypostauthor odd alt thread-odd thread-alt depth-1" id="comment-' . $commentdata['comment_ID'] . '">
				<div id="div-comment-' . $commentdata['comment_ID'] . '" class="comment-body">
				<div class="comment-author vcard">'.
				 get_avatar($commentdata['comment_author_email'],80) 
					.'<cite class="fn">' . $commentdata['comment_author'] . '</cite> <span class="says">says:</span>
			   </div>
           

<div class="comment-meta commentmetadata">' .
	get_comment_date( 'F j, Y \a\t g:i a', $commentdata['comment_ID']) .'&nbsp;&nbsp;';
            if ( is_user_logged_in() ){
			 $output .=  '<a class="comment-edit-link" href="'. home_url() .'/wp-admin/comment.php?action=editcomment&amp;c='. $commentdata['comment_ID'] .'">
			(Edit)</a>';
				}
		   $output .= '</div>
			        <p>' . $commentdata['comment_content'] . '</p>           
					<div class="reply">
						<a class="comment-reply-link" href="'. $url . '&amp;replytocom='. $commentdata['comment_ID'] .'#respond" 
						onclick="return addComment.moveForm(&quot;div-comment-'. $commentdata['comment_ID']  .'&quot;, &quot;'. $commentdata['comment_ID'] . '&quot;, &quot;respond&quot;, &quot;1&quot;)">Reply</a>
					</div>                   
				</div>
			 </li>' ;     
                          
               echo $output;
			   
			   }
			   else{			 
			 
			   $output = '<ul class="children"> <li class="comment byuser comment-author-admin bypostauthor even depth-2" id="comment-' . $commentdata['comment_ID'] . '">
            <div id="div-comment-' . $commentdata['comment_ID'] . '" class="comment-body">
            <div class="comment-author vcard">'.
             get_avatar($commentdata['comment_author_email']) 
                .'<cite class="fn">' . $commentdata['comment_author'] . '</cite> <span class="says">says:</span>           </div>           

<div class="comment-meta commentmetadata"><a href="http://localhost/WordPress_Code/?p=1#comment-'. $commentdata['comment_ID'] .'">' .
	get_comment_date( 'F j, Y \a\t g:i a', $commentdata['comment_ID']) .'</a>&nbsp;&nbsp;';
            if ( is_user_logged_in() ){
         $output .=  '<a class="comment-edit-link" href="'. home_url() .'/wp-admin/comment.php?action=editcomment&amp;c='. $commentdata['comment_ID'] .'">
        (Edit)</a>';
            }
			
       $output .= '</div>
                <p>' . $commentdata['comment_content'] . '</p>           
				<div class="reply">
					<a class="comment-reply-link" href="'. $url .'&amp;replytocom='. $commentdata['comment_ID'] .'#respond" 
					onclick="return addComment.moveForm(&quot;div-comment-'. $commentdata['comment_ID']  .'&quot;, &quot;'. $commentdata['comment_ID'] . '&quot;, &quot;respond&quot;, &quot;1&quot;)">Reply</a>
				</div>                   
            </div>
            </li></ul>' ; 

			echo $output;
			   }
				 
           $post = get_post($commentdata['comment_post_ID']);
                wp_notify_postauthor($comment_ID);
                break;
            default:
                echo "error";
        }
        exit;
    }
}

add_action('comment_post', 'ajaxify_comments_list', 25, 2);


/*Integration Head*/
add_action('wp_head', 'alaya_head');
function alaya_head(){
    alaya_favicon();
	alaya_custom_css();
	alaya_additional_code();
	if ( is_singular() && get_option('thread_comments'))wp_enqueue_script( 'comment-reply' );
}

/*Integration Footer*/
add_action('wp_footer', 'alaya_footer',22);
function alaya_footer(){
   alaya_footer_code();
}

/*Add a lovely favicon*/
function alaya_favicon() {
   if(null!==alaya_opt('favicon_logo') && alaya_opt('favicon_logo') <> ''){
     echo '<link rel="shortcut icon" href="'.alaya_opt('favicon_logo').'" type="image/x-icon">'.PHP_EOL; 
   } 
}

/*Add Cunstom CSS*/
function alaya_custom_css() {
    $custom_css='';

	$custom_css_before='<style type="text/css">';
	$custom_css_after='</style>';
	
	$custom_css.=$custom_css_before.PHP_EOL;
	//LOGO
	if(null!==alaya_opt('custom_logo') && alaya_opt('custom_logo') <> ''){
	     $logo_size=getimagesize(esc_url(alaya_opt('custom_logo')));
	     $logo_width=$logo_size[0];
	     $logo_height=$logo_size[1];
	     if($logo_width==''){$logo_width=150;}
	     if($logo_height==''){$logo_height=150;}
		 $custom_css.='.logo a{background:url('.alaya_opt('custom_logo').') no-repeat;width:'.$logo_width.'px;height:'.$logo_height.'px;}'.PHP_EOL; 
		 $custom_css.='#primary_menu ul li.logo a{width:150px;height:150px;}'.PHP_EOL; 
	}
	if(null!==alaya_opt('center_logo') && alaya_opt('center_logo') <> 1){
		 $custom_css.='div.logo{display:block;}'.PHP_EOL; 
	}
	
	if(null!==alaya_opt('inverse_header') && alaya_opt('inverse_header') == 1){
	      $custom_css.='#topbar,#top{background:#000;}
	        #topbar{border-color:#111;}
	        #topbar #tools a{background:#222;border-color:#333;}
	        #primary_menu ul li a{color:#999;}
	        #primary_menu ul .sub-menu{background:#333;}
	        #primary_menu ul ul.sub-menu li{border-color:#444;}
	        #primary_menu ul ul.sub-menu li a{color:#ccc;}';
	}
	if(null!==alaya_opt('retina_logo') && alaya_opt('retina_logo') <> ''){
		 $custom_css.='@media only screen and (-Webkit-min-device-pixel-ratio: 1.5),
						only screen and ( min--moz-device-pixel-ratio: 1.5),
						only screen and (-o-min-device-pixel-ratio: 3/2),
						only screen and (min-device-pixel-ratio: 1.5) {
						  .logo a {
							background-image: url('.esc_url(alaya_opt('retina_logo')).');
							background-size: 100%;
							background-position:center;
						  }
						}'.PHP_EOL; 
	}
	if(null!==alaya_opt('custom_background_color') && alaya_opt('custom_background_color') <> '' && alaya_opt('custom_background_color') <> '#ffffff' && alaya_opt('custom_background_image') == '' && alaya_opt('header_style') == '1'){
		$custom_css.='body{background-color:'.esc_attr(alaya_opt('custom_background_color')).';}';
	}
	if(null!==alaya_opt('custom_background_image') && alaya_opt('custom_background_image') <> '' && alaya_opt('header_style') == '1'){
		$custom_css.='body{background:'.esc_attr(alaya_opt('custom_background_color')).' url('.esc_url(alaya_opt('custom_background_image')).') no-repeat fixed;background-size:cover;}';
	}
	if(null!==alaya_opt('default_header_color') && alaya_opt('default_header_color') <> '' && alaya_opt('header_style') == '2'){
		$custom_css.='#single_header{background-color:'.esc_attr(alaya_opt('default_header_color')).';}';
	}

	if(null!==alaya_opt('adjust_logo') && alaya_opt('adjust_logo') <> 0 && alaya_opt('center_logo')== 1){
	$custom_css.='#primary_menu > ul{margin-left:'.esc_attr(alaya_opt('adjust_logo')).'px;}';
	}
   
	if(null!==alaya_opt('css_code') && alaya_opt('css_code') <> ""){  
	$custom_css.= '/*Custom CSS*/'.PHP_EOL;
	$custom_css.= stripslashes(esc_html(alaya_opt('css_code'))).PHP_EOL; 
    }
	$custom_css.=$custom_css_after.PHP_EOL;
	
    $custom_css = apply_filters('alaya_custom_css', $custom_css);
    echo $custom_css;
}

/*Add additional codes to head*/
function alaya_additional_code() {
   if(null!==alaya_opt('header_code')&&alaya_opt('header_code') <> ""){  
     echo stripslashes(alaya_opt('header_code')).PHP_EOL;  
   }
}

/*Add additional/js codes to footer*/
function alaya_footer_code() {
   if(null!==alaya_opt('javascript_code')&&alaya_opt('javascript_code') <> ""){  
     echo '<script type="text/javascript">'.PHP_EOL;
	 echo '//Custom javascript'.PHP_EOL;
     echo stripslashes(alaya_opt('javascript_code')).PHP_EOL;  
	 echo '</script>'.PHP_EOL;
   }
   if(null!==alaya_opt('footer_code')&&alaya_opt('footer_code') <> ""){  
     echo stripslashes(alaya_opt('footer_code')); 
   } 
}

/*Automatically get the first picture to be the featured image */
function alaya_auto_featured_image() { 
  global $post;  
  if(!is_admin()){
	  if (!has_post_thumbnail($post->ID)) { 
	    $attached_image = get_children( 'post_parent='.$post->ID.'&post_type=attachment&post_mime_type=image&numberposts=1' );  
	    if ($attached_image) { 
	      foreach ($attached_image as $attachment_id => $attachment){ 
	        set_post_thumbnail($post->ID, $attachment_id); 
	    } 
	   } 
	  } 
  }
} 
add_action('the_post', 'alaya_auto_featured_image'); 
add_action('save_post', 'alaya_auto_featured_image'); 
add_action('draft_to_publish', 'alaya_auto_featured_image'); 
add_action('new_to_publish', 'alaya_auto_featured_image'); 
add_action('pending_to_publish', 'alaya_auto_featured_image'); 
add_action('future_to_publish', 'alaya_auto_featured_image');

add_filter( 'woocommerce_breadcrumb_defaults', 'new_woocommerce_breadcrumbs' );
function new_woocommerce_breadcrumbs() {
    return array(
            'delimiter'   => ' &#47; ',
            'wrap_before' => '<nav class="woocommerce-breadcrumb">',
            'wrap_after'  => '</nav>',
            'before'      => '',
            'after'       => '',
            'home'        => _x( 'Home', 'breadcrumb', 'miao' ),
        );
}

/**
 * Remove query strings from static resources
 */
function alaya_remove_script_version( $src ){
  $parsed = parse_url($src);

  if (isset($parsed['query'])) {
    parse_str($parsed['query'], $qrystr);
    if (isset($qrystr['ver'])) {
      unset($qrystr['ver']); 
    }
    $parsed['query'] = http_build_query($qrystr);
  }
  // return http_build_url($parsed); // elegant but not always available

  $src = '';
  $src .= (!empty($parsed['scheme'])) ? $parsed['scheme'].'://' : '';
  $src .= (!empty($parsed['host'])) ? $parsed['host'] : '';
  $src .= (!empty($parsed['path'])) ? $parsed['path'] : '';
  $src .= (!empty($parsed['query'])) ? '?'.$parsed['query'] : '';

  return $src;
}
//add_filter( 'script_loader_src', 'alaya_remove_script_version', 15, 1 );
//add_filter( 'style_loader_src', 'alaya_remove_script_version', 15, 1 );

/*Add social profile fields to user page*/
if( !function_exists( 'alaya_custom_profile') ):
function alaya_custom_profile( $contactmethods ) {
    $contactmethods['facebook'] = 'Facebook';
	$contactmethods['twitter'] = 'Twitter';
	$contactmethods['google-plus'] = 'Google+';
	$contactmethods['flickr'] = 'Flickr+';
	$contactmethods['instagram'] = 'Instagram';
	$contactmethods['tumblr'] = 'Tumblr';
	$contactmethods['github'] = 'Github';
	$contactmethods['youtube'] = 'Youtube';
	$contactmethods['vimeo'] = 'Vimeo';
	$contactmethods['pinterest'] = 'Pinterest';
	$contactmethods['wordpress'] = 'WordPress';
    return $contactmethods;
}
endif;
add_filter('user_contactmethods','alaya_custom_profile',10,1);

add_action('alaya_author_social_profile','alaya_author_socials');
if( !function_exists( 'alaya_author_socials') ):
function alaya_author_socials(){
	$social_profile='';
	$social_array=array('facebook','twitter','google-plus','flickr','instagram','tumblr','github','youtube','vimeo','wordpress');
	for($i=0;$i<count($social_array);$i++){
	   if(get_the_author_meta($social_array[$i])<>''){
	    $social_profile.='<a href="'.get_the_author_meta($social_array[$i]).'" target="_blank"><i class="fa fa-'.$social_array[$i].'"></i></a>';
	   }
	}
	echo $social_profile;
}
endif;

/*Import data*/
if ( ! function_exists( 'miao_import_files' ) ) :
function miao_import_files() {
    return array(
        array(
            'import_file_name'             => 'Default Demo',
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/default/content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/default/widgets.json',
            'local_import_customizer_file_url' => trailingslashit( get_template_directory() ) . 'inc/demo/default/customizer.dat',
            'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'miao' ),
        ),

    );
}
add_filter( 'pt-ocdi/import_files', 'miao_import_files' );
endif;


if ( ! function_exists( 'miao_after_import' ) ) :
function miao_after_import( $selected_import ) {
    //Set Menu
    $primary_menu = get_term_by('name', 'Primary menu', 'nav_menu');
    $footer_menu = get_term_by('name', 'Footer menu', 'nav_menu');
    $lang_menu = get_term_by('name', 'Language', 'nav_menu');
    set_theme_mod( 'nav_menu_locations' , 
        array( 
              'primary_navi' => $primary_menu->term_id, 
              'footer_navi' => $footer_menu->term_id,
              'lang_navi' => $lang_menu->term_id 
             ) 
    );

    //Set Front page
    $page = get_page_by_title( 'Home');
    if ( isset( $page->ID ) ) {
        update_option( 'page_on_front', $page->ID );
        update_option( 'show_on_front', 'page' );
    }
    
    $path = 'default';

	//Import Revolution Slider
    if ( class_exists( 'RevSlider' ) ) {
	       $slider_array = array(
	              get_template_directory()."/inc/demo/".$path."/home-slider.zip"
	       );

	      $slider = new RevSlider();
	       
	      foreach($slider_array as $filepath){
	       $slider->importSliderFromPost(true,true,$filepath);  
	      }
	       
	      echo ' Slider processed';
    }

}
add_action( 'pt-ocdi/after_import', 'miao_after_import' );
endif;
?>