<?php
/**
 * Blog Posts Widgets
 * @package Alaya Framework
 * @subpackage Miao
 * @since 1.0
 */
class alaya_blog_posts extends WP_Widget {
	
	/**
	 * Register widget
	**/
	public function __construct() {
		
		parent::__construct(
	 		'alaya_blog_posts', // Base ID
			__( '(Miao) Blog', 'miao' ), // Name
			array( 'description' => __( 'Show the recent blog posts with two templates', 'miao' ), ) // Args
		);
		
	}
	
   function widget($args, $instance) {
        extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		$number = $instance['number'];
        $template= $instance['template'];
		$columns = $instance['columns'];
		$category= alaya_cat_slug($instance['category']);
		
		echo do_shortcode('[alaya_post_loop category_name="'.$category.'" posts_per_page='.$number.' template="'.$template.'" columns='.$columns.']');
   }
   
   function update($new_instance, $old_instance) {
	   $instance['category'] = strip_tags( $new_instance['category'] );
	   $instance['title'] = strip_tags( $new_instance['title'] );
       $instance['template'] = strip_tags( $new_instance['template'] );
	   $instance['number'] = strip_tags($new_instance['number']);    
	   $instance['columns'] = strip_tags($new_instance['columns']);                
       return $instance;
   }
   function form($instance) {  
	   $defaults = array( 'title' => __('Blog', 'miao'),'number' => '5','template' => 'standard','columns'=>'2','category'=>'');
	   $instance = wp_parse_args( (array) $instance, $defaults ); 
		
	   $title = esc_attr($instance['title']);
       $template = esc_attr($instance['template']);
       $columns = esc_attr($instance['columns']);
	   $category = esc_attr($instance['category']);
	   $number = esc_attr($instance['number']);
   ?>
    <p>
	<label for="<?php echo sanitize_text_field($this->get_field_id( 'title' )); ?>"><?php _e('Title', 'miao'); ?></label><br/>
	<input type="text" id="<?php echo sanitize_text_field($this->get_field_id( 'title' )); ?>" name="<?php echo sanitize_text_field($this->get_field_name( 'title' )); ?>" value="<?php echo sanitize_text_field($title); ?>" />
    </p>
   
    <p>
        <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number','miao'); ?></label>
        <input type="text" name="<?php echo sanitize_text_field($this->get_field_name('number')); ?>" value="<?php echo sanitize_text_field($number); ?>" id="<?php echo sanitize_text_field($this->get_field_id('number')); ?>" style="width:20%;" />
    </p>
    
     <p>
        <label for="<?php echo $this->get_field_id('template'); ?>"><?php _e('Blog Template','miao'); ?></label>
        <select name="<?php echo sanitize_text_field($this->get_field_name('template')); ?>" class="widefat" id="<?php echo $this->get_field_id('template'); ?>">
        <?php if($template == 'masonry'){?>
           <option value="standard">standard</option>
        <?php }elseif($template=='standard'){?>
           <option value="masonry">masonry</option>
        <?php }?>
           <option value="<?php if($template == 'masonry'){echo 'masonry';}elseif($template=='standard'){echo 'standard';}?>" selected="selected"><?php if($template == 'masonry'){echo'masonry';}elseif($template=='standard'){echo'standard';}?></option>
        </select>
    </p>
    
    <p id="masonry_columns">
        <label for="<?php echo sanitize_text_field($this->get_field_id('columns')); ?>"><?php _e('Masonry Columns','miao'); ?></label>
        <select name="<?php echo sanitize_text_field($this->get_field_name('columns')); ?>" class="widefat" id="<?php echo sanitize_text_field($this->get_field_id('columns')); ?>">
        <?php if($columns == '2'){?>
           <option value="3">3</option>
        <?php }elseif($columns=='3'){?>
           <option value="2">2</option>
        <?php }?>
           <option value="<?php if($columns == '2'){echo '2';}elseif($columns=='3'){echo '3';}?>" selected="selected"><?php if($columns == '2'){echo '2';}elseif($columns=='3'){echo '3';}?></option>
        </select>
    </p>
    
     <p>
            <label for="<?php echo sanitize_text_field($this->get_field_id('category')); ?>"><?php _e('Categorys','miao'); ?></label><br/>
            <select name="<?php echo sanitize_text_field($this->get_field_name('category')); ?>" class="widefat" id="<?php echo sanitize_text_field($this->get_field_id('category')); ?>">
                <?php if($cate_name==''):?>
                <option value="">All</option>
                <?php endif;?>
                <?php 
				$thecatlist_A = get_categories('hide_empty=0');
                $catdlist = array();
				foreach ($thecatlist_A as $catforlist){ 
				$cate_name = $catforlist->cat_name;
				?>
                <option value="<?php echo sanitize_text_field($cate_name);?>" <?php if($category == $cate_name){ echo "selected='selected'";} ?>><?php echo sanitize_text_field($cate_name); ?></option>   
                <?php }?>       
            </select>
     </p>
   <?php
   }
}
register_widget('alaya_blog_posts');
?>