<?php
/**
 * Categories Widgets
 * @package Alaya Framework
 * @subpackage Miao
 * @since 1.0
 */
class alaya_categories extends WP_Widget {
	
	/**
	 * Register widget
	**/
	public function __construct() {
		
		parent::__construct(
	 		'alaya_categories', // Base ID
			__( '(Miao) Categories Loop', 'miao' ), // Name
			array( 'description' => __( 'Show the blog posts in each category section', 'miao' ), ) // Args
		);
		
	}
	
   function widget($args, $instance) {
        extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		$category= $instance['category'];
		$columns= $instance['columns'];
		
		echo do_shortcode('[alaya_category_loop category_slug="'.$category.'" columns="'.$columns.'"]');
   }
   
   function update($new_instance, $old_instance) {
	   $instance['category'] = strip_tags( $new_instance['category'] );
	   $instance['title'] = strip_tags( $new_instance['title'] ); 
	   $instance['columns'] = strip_tags( $new_instance['columns'] );                
       return $instance;
   }
   function form($instance) {  
	   $defaults = array( 'title' => __('', 'miao'),'category'=>'','columns'=>'3');
	   $instance = wp_parse_args( (array) $instance, $defaults ); 
		
	   $title = esc_attr($instance['title']);
	   $category = esc_attr($instance['category']);
	   $columns = esc_attr($instance['columns']);
   ?>
    <p>
	<label for="<?php echo sanitize_text_field($this->get_field_id( 'title' )); ?>"><?php _e('Title', 'miao'); ?></label><br />
	<input type="text" id="<?php echo sanitize_text_field($this->get_field_id( 'title' )); ?>" name="<?php echo sanitize_text_field($this->get_field_name( 'title' )); ?>" value="<?php echo sanitize_text_field($title); ?>" />
    </p>
    
    <p id="category_columns">
        <label for="<?php echo sanitize_text_field($this->get_field_id('columns')); ?>"><?php _e('Columns','miao'); ?></label>
        <select name="<?php echo sanitize_text_field($this->get_field_name('columns')); ?>" class="widefat" id="<?php echo sanitize_text_field($this->get_field_id('columns')); ?>">
        <?php if($columns == '2'){?>
           <option value="3">3</option>
        <?php }elseif($columns=='3'){?>
           <option value="2">2</option>
        <?php }?>
           <option value="<?php if($columns == '2'){echo '2';}elseif($columns=='3'){echo '3';}?>" selected="selected"><?php if($columns == '2'){echo '2';}elseif($columns=='3'){echo '3';}?></option>
        </select>
    </p>
    
     <p>
      <label for="<?php echo sanitize_text_field($this->get_field_id('category')); ?>"><?php _e('Category','miao'); ?></label><br />
      <input type="text" id="<?php echo $this->get_field_id( 'category' ); ?>" name="<?php echo sanitize_text_field($this->get_field_name( 'category' )); ?>" value="<?php echo sanitize_text_field($category); ?>" /> <br/><span style="color:#666">If you leave it empty, all categories post will show up. Please use English comma to separate the category slugs.</span>
     </p>
   <?php
   }
}
register_widget('alaya_categories');
?>