<?php
/**
 * Scrolling Posts Widgets
 * @package Alaya Framework
 * @subpackage Miao
 * @since 1.0
 */
class alaya_scrolling_posts extends WP_Widget {
	
	/**
	 * Register widget
	**/
	public function __construct() {
		
		parent::__construct(
	 		'alaya_scrolling_posts', // Base ID
			__( '(Miao) Scrolling Posts', 'miao' ), // Name
			array( 'description' => __( 'Show the posts with scrolling effect.', 'miao' ), ) // Args
		);
		
	}
	
   function widget($args, $instance) {
        extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		$number = $instance['number'];
    $header= $instance['header'];
		$category= alaya_cat_slug($instance['category']);
		
		echo alaya_scrolling_posts($title,$header,$number,$category);
   }
   
   function update($new_instance, $old_instance) {
	   $instance['category'] = $new_instance['category'];
	   $instance['title'] = strip_tags( $new_instance['title'] );
       $instance['header'] = strip_tags( $new_instance['header'] );
	   $instance['number'] = strip_tags($new_instance['number']);                
       return $instance;
   }
   function form($instance) {  
	   $defaults = array( 'title' => __('The Latest Posts', 'miao'),'number' => '6','header' => 'vertical','category'=>'');
	   $instance = wp_parse_args( (array) $instance, $defaults ); 
		
	   $title = esc_attr($instance['title']);
     $header = esc_attr($instance['header']);
	   $category = esc_attr($instance['category']);
	   $number = esc_attr($instance['number']);
   ?>
    <p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title', 'miao'); ?></label>
	<input type="text" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo $title; ?>" />
    </p>
   
    <p>
        <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php _e('Number','miao'); ?></label>
        <input type="text" name="<?php echo $this->get_field_name('number'); ?>" value="<?php echo $number; ?>" id="<?php echo $this->get_field_id('number'); ?>" style="width:20%;" /> <span style="color:#999;">At least 3 posts.</span>
    </p>
    
     <p>
        <label for="<?php echo esc_attr($this->get_field_id('header')); ?>"><?php _e('Header Style','miao'); ?></label>
        <select name="<?php echo esc_attr($this->get_field_name('header')); ?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('header')); ?>">
        <?php if($header == 'vertical'){?>
           <option value="horizontal">horizontal</option>
        <?php }elseif($header=='horizontal'){?>
           <option value="vertical">vertical</option>
        <?php }?>
           <option value="<?php if($header == 'vertical'){echo 'vertical';}elseif($header=='horizontal'){echo 'horizontal';}?>" selected="selected"><?php if($header == 'horizontal'){echo 'horizontal';}elseif($header=='vertical'){echo'vertical';}?></option>
        </select>
    </p>
    
     <p>
            <label for="<?php echo esc_attr($this->get_field_id('category')); ?>"><?php _e('Category:','miao'); ?></label>
            <select name="<?php echo $this->get_field_name('category'); ?>" class="widefat" id="<?php echo $this->get_field_id('category'); ?>">
                <?php if($cate_name==''):?>
                <option value="">All</option>
                <?php endif;?>
                <?php 
				$thecatlist_A = get_categories('hide_empty=0');
                $catdlist = array();
				foreach ($thecatlist_A as $catforlist){ 
				$cate_name = $catforlist->cat_name;
				?>
                <option value="<?php echo esc_attr($cate_name);?>" <?php if($category == $cate_name){ echo "selected='selected'";} ?>><?php echo esc_attr($cate_name); ?></option>
                <?php }?>
            </select>
     </p>
   <?php
   }
}
register_widget('alaya_scrolling_posts');
?>