<?php
/**
 * Template Functions
 *
 * @package Alaya_framework
 * @subpackage Miao
 * @since 1.0
 */
 
/* Category loop */
add_shortcode('alaya_category_loop', 'alaya_category_loop');   
function alaya_category_loop($atts, $content){   
    ob_start();  
    extract(shortcode_atts(array(
		'columns' => 3,
		'category_slug' => ''
	), $atts));
	$col_class='three_columns';
	$channel_id="masonry_channel_3col".alaya_random_string(6,false);
	if($columns==2){
		$col_class='six columns';
		$channel_id="masonry_channel".alaya_random_string(6,false);
	}
    set_query_var( 'columns_class', $col_class);
    set_query_var( 'category', $category_slug);
    get_template_part('tpl/tpl', 'category-loop');  
    $ret = '<div id="'.esc_attr($channel_id).'" class="masonry_channel masry effect-1">';
    $ret .= ob_get_contents();  
    $ret .= '</div>';
    $ret .='<script type="text/javascript">
	     /*Masonry*/
	    new AnimOnScroll( document.getElementById( "'.esc_attr($channel_id).'" ), {
			minDuration : 0.4,
			maxDuration : 0.7,
			viewportFactor : 0.2
	    } );
      </script>';
    ob_end_clean();  
    return $ret;    
}

/*Blog loop*/
add_shortcode( 'alaya_post_loop', 'alaya_post_loop' );
function alaya_post_loop( $atts )
{
	
	static $alaya_custom_loop;
	if( !isset($alaya_custom_loop) )
		$alaya_custom_loop = 1;
	else
		$alaya_custom_loop ++;

	$atts = shortcode_atts( array(
		'paging'		=> 'paginate'. $alaya_custom_loop,
		'post_type' 		=> 'post',
		'posts_per_page' 	=> '10000000',
		'post_status' 		=> 'publish',
		'category_name'     => '',
		'columns'           => 3,
		'template'          => 'standard'
	), $atts );

	$paging = $atts['paging'];
	unset( $atts['paging'] );
	
	  
    $template = $atts['template'];
	unset( $atts['template'] );
	
	  
    $columns = $atts['columns'];
	unset( $atts['columns'] );

	if( isset($_GET[$paging]) )
		$atts['paged'] = $_GET[$paging];
	else
		$atts['paged'] = 1;

	$custom_query = new WP_Query( $atts );

	$pagination_base = add_query_arg( $paging, '%#%');
    
    $wrapper="";
    $post_class_ex="";
	
    if($template=='standard'){
	    $wrapper='<div id="standard_blog">';
    }elseif($template=='masonry'){
       if($columns==3){
          $section_id='masonry_blog'.alaya_random_string(6,false);
	      $wrapper='<div id="'.esc_html($section_id).'" class="masonry_blog masry effect-2">';
	      $post_class_ex=' three_columns';
	   }elseif($columns==2){
	      $section_id='masonry_blog_2'.alaya_random_string(6,false);
		  $wrapper='<div id="'.esc_html($section_id).'" class="masonry_blog masry effect-2">';
		  $post_class_ex=' six columns';
	   }
    }

	if( $custom_query->have_posts() ):
		$html = $wrapper;
	
	    while( $custom_query->have_posts()) : $custom_query->the_post();
		
			$thumbnail='';
			$more='<a class="morelink" href="'.esc_url(get_permalink()).'">'.__('Continue to read','miao').' <i class="fa fa-long-arrow-right"></i></a>';
			  
			if(has_post_thumbnail()){
			  $thumbnail='<div class="thumbnail">
		    <a class="overlay" href="'.esc_url(get_permalink()).'">'.alaya_format_icon().'</a>'.get_the_post_thumbnail( get_the_ID(),'large' ).'</div>';
			}else{
			  $thumbnail='<div class="post_format_icon">'.alaya_format_icon().'</div>';
			}
			
			$html .= sprintf( 
				'<article id="post-'.get_the_ID().'" class="post grid'.esc_attr($post_class_ex).'">
				   %4$s  
				   <h4 class="entry-title"><a href="%1$s" title="%2$s">%2$s</a></h4>
				   %5$s
				   <div class="entry-content">%3$s</div>
				   
				   <footer class="entry-tools">
		               <a href="#" class="comment-count"><i class="fa fa-comments"></i> '.get_comments_number( '0', '1', '%' ).'</a>  
					    <a href="javascript:void(0);" class="share-post"><i class="fa fa-share"></i></a>
					    %6$s
					  </footer>
				  </article>',
				get_permalink(),
				get_the_title(),
				get_the_excerpt(),
				$thumbnail,
				alaya_posted_on(''),
				$more
			);
			
	    endwhile;
		   
	   $html.='</div>';
	   $html.='<script type="text/javascript">
	     /*Masonry*/
	    new AnimOnScroll( document.getElementById( "'.esc_attr($section_id).'" ), {
			minDuration : 0.4,
			maxDuration : 0.7,
			viewportFactor : 0.2
	    } );
      </script>';
	   
	   if(!is_home()):
			$html .= '<div class="alaya_pagenavi">';
			$html .= paginate_links( array(
				'type' 		=> '',
				'base' 		=> $pagination_base,
				'format' 	=> '?'. $paging .'=%#%',
				'current' 	=> max( 1, $custom_query->get('paged') ),
				'total' 	=> $custom_query->max_num_pages
			));
			$html.='</div>';
		endif;
			
	endif;

	return $html;
}

/*Scrolling posts*/
if( !function_exists( 'alaya_scrolling_posts') ){
	function alaya_scrolling_posts($title='The Latest Posts',$header="horizontal",$number=6,$category_slug=''){
	    global $post,$more;
		$tmp_post = $post;
		$tmp_more = $more;
		if($category_slug<>''){
		  $category_array=explode(',',$category_slug);
		  $args = array( 
			'numberposts' => $number, 
			'orderby' => 'post_date',
			'order'=>'DESC',
			'tax_query' => array(
				array(
				  'taxonomy' => 'category',
				  'field' => 'slug',
				  'terms' => $category_array,
				  'include_children' => false
				)
			  ));
		}else{
		  $args = array( 
			'numberposts' => $number, 
			'orderby' => 'post_date',
			'order'=>'DESC',
		   );
		}
		$posts = get_posts($args);
		$i=0;
		$section_id='scrolling_posts_'.alaya_random_string(6,false);
		$post_slide='<section id="'.$section_id.'" class="scrolling_posts flexslider">'.PHP_EOL;
		$post_slide.='<header class="'.esc_attr($header).'">
		              <h5 class="archive_title"><span>'.esc_attr($title).'</span></h5>'.PHP_EOL;
		if($number>3 && count($posts)>3){
		  $post_slide.='<div class="controlNav"><a href="javascript:void(0);" id="prev_'.$section_id.'" class="prev"><i class="fa fa-chevron-left"></i></a> <a href="javascript:void(0);" class="next" id="next_'.$section_id.'"><i class="fa fa-chevron-right"></i></a></div>';
		}              
		$post_slide.='</header>'.PHP_EOL;
		$post_slide.='<ul class="slides">'.PHP_EOL;
		if($i !== count($posts)){
	      $post_slide.='<li><div class="post-container">'.PHP_EOL;
		}
		foreach($posts as $post){
		  setup_postdata($post);
		  $image_id = get_post_thumbnail_id($post->ID);
		  $thumbnail_url = wp_get_attachment_image_src($image_id, 'blog_thumbnail', true);
		  $more = 0;
		  $url=get_permalink($post->ID);
		  $title=$post->post_title;
          
		  $post_slide.='<div class="blog-post post">';
		  if(has_post_thumbnail()){
              $post_slide.='<div class="thumbnail"><a href="'.$url.'" title="'.$title.'" class="overlay">'.alaya_format_icon().'</a><img src="'.$thumbnail_url[0].'" class="featured_image" alt="'.$title.'" /></div>';
		  }
		  $post_slide.='<span><a href="'. get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.get_the_author().'</a> / '.get_the_category_list( ', ' ).'</span>';
          $post_slide.= '<h4><a href="'.$url.'" title="'.$title.'">'.$title.'</a></h4>';
          $post_slide.= '<p>'.alaya_truncate(get_the_excerpt(),150).'</p>';		
          $post_slide.= '</div>'.PHP_EOL;;
			
		    $i++;		 
		    if($i%3==0){
		      $post_slide.='</div></li>'.PHP_EOL;
			
			  if($i<>count($posts)){
			   $post_slide.='<li><div class="post-container">'.PHP_EOL;
			  }
			}
			
		 }
		 $post_slide.='</ul><div class="clearfix"></div><div class="'.$section_id.'_alaya_loader alaya_loader" style="top:85%;left:49%;"><i class="fa fa-spinner fa-spin"></i></div>
				   </section>';
		
		$post_slide.="<script type='text/javascript'>
		jQuery(document).ready(function($){
			/*Scrolling Posts*/
			$('#scrolling_posts_".alaya_random_string(6,false)." img').imagesLoaded(function(){
				$('#".$section_id."').flexslider({
				   slideshow:true,
				   video: true,
				   keyboard: true,
				   animation: 'slide',
				   directionNav: false, 
				   controlNav:false,
				   smoothHeight:false,
				   mousewheel: false, 
				   multipleKeyboard: true,    
				   animationLoop: false, 
				   pauseOnHover:true,
				   slideshowSpeed: 20000,
				   prevText:'',
				   nextText:'',
				   start:function(){
					  $('.".$section_id."_alaya_loader').hide();
					  $('#".$section_id." .thumbnail').each(function(){
						 var overlay_width,overlay_height,marginTop,marginLeft;
					     var wrapper_width=$(this).width();var wrapper_height=$(this).height(); 
						 if($(this).children('img').height()<wrapper_height){
						   $(window).load(function(){
							wrapper_height=$(this).children('img').height();
						    if(wrapper_height==0){
							    wrapper_height=200;
						    }
							$(this).css('height',wrapper_height);
						   })					   
						 }	 
						 if($(window).width()>800){
					       overlay_width=wrapper_width-20;
						   overlay_height=wrapper_height-20;
						 }else{
						   overlay_width=wrapper_width;
						   overlay_height=wrapper_height;
						 }
						   marginTop=overlay_height/2;
						   marginLeft=overlay_width/2;
					     $(this).children('.overlay').css({
						   width:overlay_width+'px',
						   height:overlay_height+'px',
						   marginTop:'-'+marginTop+'px',
						   marginLeft:'-'+marginLeft+'px'
					     });
						 $(this).children('.overlay').children('i').css({
						   width:'20px',
						   height:'20px',
						   display:'block',
						   left:'50%',
						   top:'50%',
						   position:'absolute',
						   marginTop:'-10px',
						   marginLeft:'-10px'
					     });
					 });
				   }
			     });
			 });
			 $('#prev_".$section_id.", #next_".$section_id."').on('click', function(){
			    var action = $(this).attr('class');
			    $('#".$section_id."').flexslider(action);
			    return false;
		    });
	    });
	     </script>";
		
		$post = $tmp_post;
		$more = $tmp_more;
	    return $post_slide;
	}
}
?>