<?php
/**
 * Template: Page Title
 *
 * @package Alaya_framework
 * @subpackage Miao
 * @since 1.03
 */
?>

<?php if(alaya_opt('header_style')==1):?>

 <?php if(is_category()):
	get_template_part('tpl/tpl','slider');
 ?>
 <h2 class="archive_title"><span><?php echo single_cat_title( '', false);?></span></h2>
 <?php elseif(is_tag()):?>
  <h2 class="archive_title"><span><?php echo __('Tag: ','miao'). single_tag_title('', false);?></span></h2>
 <?php elseif (is_day()):?>
  <h2 class="archive_title"><span><?php echo __('Date: ','miao'). get_the_time('F jS, Y');?></span></h2>
 <?php elseif (is_month()):?>
  <h2 class="archive_title"><span><?php echo __('Month: ','miao'). get_the_time('F, Y');?></span></h2>
 <?php elseif (is_year()):?>
  <h2 class="archive_title"><span><?php echo __('Year: ','miao'). get_the_time('Y');?></span></h2>
 <?php elseif (is_search()):?>
  <h2 class="archive_title"><span><?php echo __('Search: ','miao').esc_attr($_GET['s']);?></span></h2>
 <?php elseif (is_page()):?>
  <h2 class="archive_title"><span><?php the_title();?></span></h2>
 <?php elseif (is_author()):
   if(isset($_GET['author_name'])) :
	$author = get_userdatabylogin($author_name);
   else :
	$author = get_userdata(intval($author));
   endif;
 ?>
  <h2 class="archive_title"><span><?php echo esc_attr($author->display_name);?></span></h2>
 <?php endif;?>
 
<?php elseif(alaya_opt('header_style')==2):?>

<?php
  $header_style="";
  $header_height="300";
  $header_class=' class="small"';
  if(is_page()){
	  if(has_post_thumbnail()){
	    $header_image=wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large' );
	    $header_style=' style="background-size:cover;background-image:url('.esc_url($header_image[0]).');"';
	  }else{
	    if(alaya_opt('default_header_image')<>''){
	      $header_style=' style="background-size:cover;background-image:url('.esc_url(alaya_opt('default_header_image')).');"';
	    }else{
	      $header_style='';
	    }
	  }
  }elseif(alaya_opt('default_header_image')<>''){
	      $header_style=' style="background-size:cover;background-image:url('.esc_url(alaya_opt('default_header_image')).');"';
  }else{
      $header_style='';
  }
?>
<header id="single_header"<?php echo $header_class;?> data-height="<?php echo esc_attr($header_height);?>"<?php echo $header_style;?>>
         <?php if($header_style<>''):?>
         <div class="mask"></div>
         <?php endif;?>
	     <div class="header_title">
	         <?php if(is_category()):?>
			 <div class="page_title"><?php echo  __('Category: ','miao').single_cat_title( '', false);?></div>
			 <?php elseif(is_tag()):?>
			 <div class="page_title"><?php echo __('Tag: ','miao'). single_tag_title('', false);?></div>
			 <?php elseif (is_day()):?>
			 <div class="page_title"><?php echo __('Date: ','miao'). get_the_time('F jS, Y');?></div>
			 <?php elseif (is_month()):?>
			 <div class="page_title"><?php echo __('Month: ','miao'). get_the_time('F, Y');?></div>
			 <?php elseif (is_year()):?>
			 <div class="page_title"><?php echo __('Year: ','miao'). get_the_time('Y');?></div>
			 <?php elseif (is_search()):?>
			 <div class="page_title"><?php echo __('Search: ','miao').esc_attr($_GET['s']);?></div>
			 <?php elseif (is_page()):?>
			 <div class="page_title"><?php the_title();?></div>
			 <?php elseif (is_author()):
			   if(isset($_GET['author_name'])) :
				$author = get_userdatabylogin($author_name);
			   else :
				$author = get_userdata(intval($author));
			   endif;
			 ?>
			 <div class="page_title"><?php echo esc_attr($author->display_name);?></div>
			 <?php endif;?>
		   
		   <?php if(is_category() && category_description()<>''):?>
	       <div class="tagline"><span><?php echo esc_attr(strip_tags(category_description()));?></span></div>
	       <?php endif;?>
	     </div>
	     <a id="start-read" href="javascript:void(0)"><i class="fa fa-chevron-down"></i></a>
 </header>
<?php endif;?>