<?php
/**
 * Template: Popup and side tool icons
 *
 * @package Alaya_framework
 * @subpackage Miao
 * @since 1.0
 */
?>

      <!--Side Tools-->
      <div id="side_tools">
          <a href="javascript:void(0);" class="up_btn" id="backtoTop"><i class="fa fa-arrow-up"></i></a>
	      
	      <?php if(null==alaya_opt('search') || alaya_opt('search')=='0'):?>
		  <a href="javascript:void(0);" class="search_btn"><i class="fa fa-search"></i></a>
		  <?php endif;?>
	      
	      <?php if(class_exists( 'woocommerce')):?>
	      <a href="javascript:void(0);" class="cart_btn"><i class="fa fa-shopping-cart"></i></a>
	      <?php endif;?>
	      
	      <?php if(!null==alaya_opt('login') && alaya_opt('login')=='1' || !is_user_logged_in() || class_exists( 'woocommerce') || class_exists( 'bbPress')):?>
	      <a href="javascript:void(0);" class="<?php if(!is_user_logged_in()){echo 'user_btn';}else{echo 'user_btn_logged';}?>"><i class="fa fa-user"></i></a>
	      <?php endif;?>
	      
	      <?php if ( has_nav_menu( 'lang_navi' ) ):?>
	      <a href="javascript:void(0);" class="languages_btn"><i class="fa fa-globe"></i></a>
		  <?php endif;?>
      </div>
      
      <!--Popup-->
      <div id="popup_window" class="popup_content">
        <a href="javascript:void(0)" class="close_popup"><i class="fa fa-close"></i></a>
	    
	    <?php if(null==alaya_opt('search') || alaya_opt('search')=='0'):?>
	    <div id="popup_search" class="popup_content">
		    <h3><?php _e('Searching','miao');?></h3>
		    <div class="content container">
			  <form action="<?php echo home_url();?>" method="get" name="searchform" class="popup_form">
			      <div class="four columns alpha">
				    <input type="text" name="s" class="u-full-width" placeholder="<?php _e('Keyword','miao');?>" />
			      </div>
			      <div class="four columns alpha">
					  <select name="post_type" class="u-full-width">
						  <option value="post"><?php _e('Blog Posts','miao');?></option>
						  <?php if(class_exists( 'woocommerce')):?>
						  <option value="product"><?php _e('Products','miao');?></option>
						  <?php endif;?>
					  </select>
			      </div>
			      <div class="four columns alpha omega">
				  	<input type="submit" name="search_button" class="button-primary" value="<?php _e('Search','miao');?>" />
			      </div>
			  </form>
		    </div>
	     </div>
	     <?php endif;?>
	    
	    
	     <?php if(class_exists( 'woocommerce')):?>
	     <!--Cart-->
	     <div id="popup_cart" class="popup_content">
		    <h3><?php _e('Shopping Cart','miao');?></h3>
		    <div class="content">
			   <div class="widget_shopping_cart_content"></div>
		    </div>
	     </div>
	     <?php endif;?>
	     
	     <?php if(!null==alaya_opt('login') && alaya_opt('login')=='1' || !is_user_logged_in() || class_exists( 'woocommerce') || class_exists( 'bbPress')):?>
	     <!--Login-->
	     <div id="popup_login" class="popup_content">
		    <h3><?php _e('Login','miao');?><a href="<?php echo esc_url( site_url( 'wp-login.php?action=register', 'login' ) ); ?>"><?php _e('or register','miao');?></a></h3>
		    <div class="content">
			  <form action="<?php echo home_url(); ?>/wp-login.php" method="post" name="loginform" class="popup_form">
		            <input type="text" name="log" id="log" class="u-full-width" placeholder="Username" value="" />
				    <input type="password" name="pwd" id="pwd" class="u-full-width" placeholder="Password" />
				  	<input type="submit" name="login" id="login_button" style="margin-top:10px;" class="button-primary" value="Login" />
				  	<input type="hidden" name="redirect_to" value="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>" />
			  </form>
		    </div>
	     </div>
	     <?php endif;?>
	     
	     <?php if(!null==alaya_opt('login') && alaya_opt('login')=='1' || is_user_logged_in() || class_exists( 'woocommerce') || class_exists( 'bbPress')):?>
	     <!--dashboard-->
	     <div id="popup_dashboard" class="popup_content">
		    <h3><?php _e('My Dashboard','miao');?></h3>
		    <div class="content">
		      <ul class="dashboard_items">
                <?php if(class_exists( 'woocommerce')):?>
                <li><a href="<?php echo home_url().'?page_id='.get_option('woocommerce_myaccount_page_id')?>"><i class="fa fa-edit"></i> <?php _e('Edit Account','miao');?></a></li>
                <li><a href="<?php echo home_url().'?page_id='.get_option('woocommerce_cart_page_id')?>"><i class="fa fa-shopping-cart"></i> <?php _e('My Cart','miao');?></a></li>
                <?php endif;?>
                
                <?php if(class_exists( 'bbPress')):?>
                <li><a href="<?php bbp_user_profile_url( bbp_get_current_user_id() ); ?>"><i class="fa fa-user"></i> <?php _e('Forum Profile','miao');?></a></li>
                <?php endif;?>
                
		        <li><a href="<?php echo wp_logout_url( home_url() ); ?>"><i class="fa fa-power-off"></i> <?php _e('Logout','miao');?></a></li>
		      </ul>
		    </div>
	     </div>
	     <?php endif;?>
	     
	     <?php if ( has_nav_menu( 'lang_navi' ) ):?>
	     <!--Language-->
	     <div id="popup_lang" class="popup_content">
		    <h3><?php _e('Choose language','miao');?></h3>
		    <div class="content">
			   <ul class="language_list">
				 <?php wp_nav_menu(array(
				  'theme_location' => 'lang_navi',
				  'container' => '',
				  'menu_class' => '',
				  'echo' => true,
				  'items_wrap'      => '%3$s',
                  'depth' => 5)
                  );
	             ?>
			   </ul>
		    </div>
	     </div>
	     <?php endif;?>
	     
      </div>
      <div class="page_mask"></div>