<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header( 'shop' ); 

/* Header Style 2 */
if(alaya_opt('header_style')==2):
    query_posts('page_id='.get_option('woocommerce_shop_page_id'));
    while ( have_posts() ) : the_post();
      $slider_shortcode=vp_metabox('custom_page_meta.content.0.slider_shortcode');
      $page_title=get_the_title();
      if(has_post_thumbnail()):
	    $header_image=wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large' );
	    $header_style=' style="background-size:cover;background-image:url('.$header_image[0].')"';
	    $header_height='100%';
	    $header_class='';
	  else:
	   $header_style="";
	   $header_height="300";
	   $header_class=' class="small"';
	  endif;
	endwhile;
    wp_reset_query();
?>

<?php 
/* Static Header Image */
if($slider_shortcode==''):?>
	<header id="single_header"<?php echo esc_attr($header_class);?> data-height="<?php echo esc_attr($header_height)?>"<?php echo esc_attr($header_style);?>>
         <?php if($header_style<>''):?>
         <div class="mask"></div>
         <?php endif;?>
	     <div class="header_title">
		   <div class="page_title"><?php echo esc_attr($page_title); ?></div>
	     </div>
	     <a id="start-read" href="javascript:void(0)"><i class="fa fa-chevron-down"></i></a>
 </header>
<?php 
/*Top Slider*/
else: ?>
     <header id="single_header"><?php echo do_shortcode($slider_shortcode);?></header>
     <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
		<h2 class="archive_title"><span><?php woocommerce_page_title(); ?></span></h2>
	<?php endif; ?>
<?php   
    endif;

/* Header Style 1 */
else:
  query_posts('page_id='.get_option('woocommerce_shop_page_id'));
  while ( have_posts() ) : the_post();
      $slider_shortcode=vp_metabox('custom_page_meta.content.0.slider_shortcode');
  endwhile;
  wp_reset_query();
  
  if($slider_shortcode<>''){
	  echo '<div id="slider">'.do_shortcode(esc_attr($slider_shortcode)).'</div>';
  }

?>
	<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
	
		<h2 class="archive_title"><span><?php woocommerce_page_title(); ?></span></h2>
	
	<?php endif; ?>
	
<?php endif;?>

<?php do_action( 'woocommerce_archive_description' ); ?>

<div id="miao_content" class="container row">
    <!--Main Content-->
	<div id="main" class="twelve columns alpha">
	<?php
		/**
		 * woocommerce_before_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		do_action( 'woocommerce_before_main_content' );
	?>


		<?php if ( have_posts() ) : ?>

			<?php
				/**
				 * woocommerce_before_shop_loop hook
				 *
				 * @hooked woocommerce_result_count - 20
				 * @hooked woocommerce_catalog_ordering - 30
				 */
				do_action( 'woocommerce_before_shop_loop' );
			?>

			<?php woocommerce_product_loop_start(); ?>

				<?php woocommerce_product_subcategories(); ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php wc_get_template_part( 'content', 'product' ); ?>

				<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>

			<?php
				/**
				 * woocommerce_after_shop_loop hook
				 *
				 * @hooked woocommerce_pagination - 10
				 */
				do_action( 'woocommerce_after_shop_loop' );
			?>

		<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

			<?php wc_get_template( 'loop/no-products-found.php' ); ?>

		<?php endif; ?>

	<?php
		/**
		 * woocommerce_after_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>

	
	</div>
	
	<?php
		/**
		 * woocommerce_sidebar hook
		 *
		 * @hooked woocommerce_get_sidebar - 10
		 */
		do_action( 'woocommerce_sidebar' );
	?>
</div>

<?php get_footer( 'shop' ); ?>