<?php
/**
 * The Template for displaying all single products.
 *
 * Override this template by copying it to yourtheme/woocommerce/single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header( 'shop' ); 

/* Header Style 2 */
if(alaya_opt('header_style')==2):
    query_posts('page_id='.get_option('woocommerce_shop_page_id'));
    while ( have_posts() ) : the_post();
      $page_title=get_the_title();
      $header_height="300";
	  $header_class=' class="small"';
      if(has_post_thumbnail()):
	    $header_image=wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large' )[0];
	    $header_style=' style="background-size:cover;background-image:url('.$header_image.')"';
	  else:
	   $header_style="";
	  endif;
	endwhile;
    wp_reset_query();
?>

<header id="single_header"<?php echo esc_attr($header_class);?> data-height="<?php echo esc_attr($header_height);?>"<?php echo esc_attr($header_style);?>>
         <?php if($header_style<>''):?>
         <div class="mask"></div>
         <?php endif;?>
	     <div class="header_title">
		   <div class="page_title"><?php echo esc_attr($page_title); ?></div>
	     </div>
	     <a id="start-read" href="javascript:void(0)"><i class="fa fa-chevron-down"></i></a>
 </header>

<?php else: ?>

	<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
	
		<h2 class="archive_title"><span><?php woocommerce_page_title(); ?></span></h2>
	
	<?php endif; ?>
<?php endif;?>


<div id="miao_content" class="container row">
    <!--Main Content-->
	<div id="main" class="twelve columns alpha">
	<?php
		/**
		 * woocommerce_before_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		do_action( 'woocommerce_before_main_content' );
	?>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>

	<?php
		/**
		 * woocommerce_after_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>
    
	</div>
	<?php
		/**
		 * woocommerce_sidebar hook
		 *
		 * @hooked woocommerce_get_sidebar - 10
		 */
		do_action( 'woocommerce_sidebar' );
	?>
</div>
<?php get_footer( 'shop' ); ?>